For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Update an existing TMS invitation (extend expiration or adjust TMS filters).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
tms_invitation_idstringRequiredformat: "uuid"
Request
This endpoint expects an object.
expires_in_hoursinteger or nullOptional1-672
How long the invitation link remains valid (1-672 hours).
limit_tmslist of strings or nullOptional
Restrict which transportation management systems the TMS account can connect to.
exclude_tmslist of strings or nullOptional
Exclude specific transportation management systems from the ones shown to the TMS account.
Response
Successful Response
idstringformat: "uuid"
Unique invitation identifier
created_atdatetime
When the invitation was created
magic_linkstring
The magic link used to accept the invitation. Share this URL with the TMS account to begin onboarding.
expires_atdatetime
The expiration date and time of the invitation
expires_in_hoursinteger
The number of hours the invitation is valid for.
statusenum
The current status of the invitation (active, accepted, declined, expired, or deleted)
Allowed values:
tms_account_refstring
Your internal identifier for the TMS account. Use this to map Catena TMS accounts back to your system.
partner_idstringformat: "uuid"
Your organization ID requesting access to TMS account data
partner_slugstring or null
The slug of your organization
accepted_atdatetime or null
The date and time the invitation was accepted. Null if not accepted.
accepted_bystring or null
Identifier of who accepted the invitation on behalf of the TMS account. Null if not accepted.
pre_registration_access_tokenstring or null
The JWT token used to pre-register the TMS account. It allows the TMS account to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.
pre_registration_refresh_tokenstring or null
The refresh token used to pre-register the TMS account. It allows the TMS account to create connections after accepting the invitation even without registering a user. Value is set after the invitation is accepted.
decline_reasonstring or null
The reason provided for declining the invitation. Null if invitation was not declined.
declined_atdatetime or null
The date the invitation was declined. Null if invitation was not declined.
limit_tmslist of strings or null
Restrict which transportation management systems the TMS account can connect to.
exclude_tmslist of strings or null
Exclude specific transportation management systems from the ones shown to the TMS account.
permissionsmap from strings to enums
Defines which TMS-sourced resources (loads, shipments, carriers, etc.) the TMS account must grant access to and the permission level for each.
Allowed values:
tms_account_idstring or nullOptionalformat: "uuid"
The Catena TMS account ID created after accepting the invitation. Null if invitation has not been accepted.